- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_randr_get_crtc_transform_reply_t Struct Reference
[XCB RandR API]

xcb_randr_get_crtc_transform_reply_t More...

`#include <randr.h>`

Collaboration diagram for xcb_randr_get_crtc_transform_reply_t:

[legend]

## Data Fields
uint8_t | response_type
uint8_t | pad0
uint16_t | sequence
uint32_t | length
xcb_render_transform_t | pending_transform
uint8_t | has_transforms
uint8_t | pad1 [3]
xcb_render_transform_t | current_transform
uint8_t | pad2 [4]
uint16_t | pending_len
uint16_t | pending_nparams
uint16_t | current_len
uint16_t | current_nparams

## Detailed Description

xcb_randr_get_crtc_transform_reply_t

## Field Documentation

uint8_t xcb_randr_get_crtc_transform_reply_t::response_type

uint8_t xcb_randr_get_crtc_transform_reply_t::pad0

uint16_t xcb_randr_get_crtc_transform_reply_t::sequence

uint32_t xcb_randr_get_crtc_transform_reply_t::length

xcb_render_transform_t xcb_randr_get_crtc_transform_reply_t::pending_transform

uint8_t xcb_randr_get_crtc_transform_reply_t::has_transforms

uint8_t xcb_randr_get_crtc_transform_reply_t::pad1[3]

xcb_render_transform_t xcb_randr_get_crtc_transform_reply_t::current_transform

uint8_t xcb_randr_get_crtc_transform_reply_t::pad2[4]

uint16_t xcb_randr_get_crtc_transform_reply_t::pending_len

uint16_t xcb_randr_get_crtc_transform_reply_t::pending_nparams

uint16_t xcb_randr_get_crtc_transform_reply_t::current_len

uint16_t xcb_randr_get_crtc_transform_reply_t::current_nparams

The documentation for this struct was generated from the following file:

- randr.h